export function DatasetNotebook({ isResizing, onResizeStop, resizableBoxProps, ...notebookProps }: {
    [x: string]: any;
    isResizing: any;
    onResizeStop: any;
    resizableBoxProps: any;
}): import("react/jsx-runtime").JSX.Element;
export namespace DatasetNotebook {
    export { propTypes };
}
declare namespace propTypes {
    let question: PropTypes.Validator<object>;
    let isResizing: PropTypes.Validator<boolean>;
    let resizableBoxProps: PropTypes.Validator<object>;
    let onResizeStop: PropTypes.Validator<(...args: any[]) => any>;
}
import PropTypes from "prop-types";
export {};
